{$mode objfpc}{$assertions on}{$r+}{$h+}
uses Math;
var
  x1, y1, x2, y2, x, y: Int64;
  xc, yc, dc: Extended;
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(x1, y1, x2, y2, x, y);
  Assert(Abs(x1) <= 10000);
  Assert(Abs(y1) <= 10000);
  Assert(Abs(x2) <= 10000);
  Assert(Abs(y2) <= 10000);
  Assert(InRange(x, Min(x1, x2), Max(x1, x2)));
  Assert(InRange(y, Min(y1, y2), Max(y1, y2)));
  xc := (x1 + x2) / 2;
  yc := (y1 + y2) / 2;
  dc := Sqr(x - xc) + Sqr(y - yc);
  if
    (Sqr(x - x1) + Sqr(y - y1) < dc) or
    (Sqr(x - x2) + Sqr(y - y1) < dc) or
    (Sqr(x - x1) + Sqr(y - y2) < dc) or
    (Sqr(x - x2) + Sqr(y - y2) < dc)
  then
    Write('CORNER')
  else
    Write('CENTER');
end.
